<?php
/*
  ===============================================================

  inGenio X
  http://ingenio.area421.com

  Created by 
  Julian Moreno Hidalgo (Software developer)
  Jesus Moreno Hidalgo (Communication's tree)

  inGenio X is a free software licensed under CC-GNU GPL

  ===============================================================
*/

	// valor "1" en desarrollo y "0" en internet
	ini_set("display_errors", "0");

	// Attempt...
	define("IGNX", 1);

	// funciones
	include("./ints/inc_funciones.php");

	// conectar
	$ingenio_conn = array();
	include("./igns/ingenio_conn.php");
	myconnect($ingenio_conn[0],$ingenio_conn[1],$ingenio_conn[2],$ingenio_conn[3]);

	// configurar
	$qig = myquery("SELECT * FROM ".INGENIO,"[getfile=conf]");
	while ($row_qig = myfetch($qig))
	{
		define("CONFIG_".$row_qig["igID"], $row_qig["topic"]);
	}
	include("./ints/core/core.modr.php");


	if (isset($_GET["t"]) && isset($_GET["id"]))
	{

		$tipo = $_GET["t"];
		$fileID = $_GET["id"];
		
		if ($tipo == "arc")
		{
			$qdw = myquery("SELECT * FROM ".ARCHIVOS." WHERE fileID='".$fileID."'","[getfile=1]");
			$rowdw = myfetch($qdw);
			if ($rowdw["archivo"] && file_exists_url("./archivos/".$rowdw["archivo"]))
			{
		
				header("Location: ".RUTA_INICIO_IMG."archivos/".$rowdw["archivo"]);
				// actualizar descargas
				myquery("UPDATE ".ARCHIVOS." SET descargas=descargas+1 WHERE fileID='".$fileID."'","[getfile=2]");
				exit;

			} else {
			
				die ('<script>alert("ERROR: !'.$rowdw["archivo"].'");self.close();</script>');
			}
				
		}
		else if ($tipo == "priv")
		{
			$carpeta_priv = $ingenio_conn[8];
			$qdw = myquery("SELECT * FROM ".ARCHIVOS_PRIV." WHERE fileID='".$fileID."'","[getfile=3]");
			$rowdw = myfetch($qdw);
			
			// descarga_max
			// si es ilimitado
			if ($rowdw["descargas_max"] == 0)
			{
				if ($rowdw["archivo"] && file_exists_url("./".$carpeta_priv."/".$rowdw["archivo"]))
				{
					header("Location: ".RUTA_INICIO_IMG.$carpeta_priv."/".$rowdw["archivo"]);
					// actualizar descargas
					myquery("UPDATE ".ARCHIVOS_PRIV." SET descargas=descargas+1 WHERE fileID='".$fileID."'","[getfile=4]");			
					exit;
			
				} else {
			
					die ('<script>alert("ERROR: !'.$rowdw["archivo"].'");self.close();</script>');
				}
		
			} else if ($rowdw["descargas_max"] > 0 && ($rowdw["descargas"] < $rowdw["descargas_max"]))
			{
				if ($rowdw["archivo"] && file_exists_url("./".$carpeta_priv."/".$rowdw["archivo"]))
				{
					header("Location: ".RUTA_INICIO_IMG.$carpeta_priv."/".$rowdw["archivo"]);
					// actualizar descargas
					myquery("UPDATE ".ARCHIVOS_PRIV." SET descargas=descargas+1 WHERE fileID='".$fileID."'","[getfile=5]");			
					exit;
			
				} else {
			
					die ('<script>alert("ERROR: !'.$rowdw["archivo"].'");self.close();</script>');
				}
						
			} else if ($rowdw["descargas"] == $rowdw["descargas_max"])
			{
				// si ha agotado la descarga_max
				die ('<script>alert("== '.$rowdw["archivo"].' ==");self.close();</script>');
			}
			
					
		}
		else if ($tipo == "multi")
		{
			$qdw = myquery("SELECT * FROM ".MULTIMEDIA." WHERE multID='".$fileID."'","[getfile=6]");
			$rowdw = myfetch($qdw);
			if ($rowdw["archivo"] && file_exists_url("./archivos_mult/".$rowdw["archivo"]))
			{
				header("Location: ".RUTA_INICIO_IMG."archivos_mult/".$rowdw["archivo"]);
				// actualizar descargas
				myquery("UPDATE ".MULTIMEDIA." SET descargas=descargas+1 WHERE multID='".$fileID."'","[getfile=7]");			
				exit;
			
			} else {
			
				die ('<script>alert("ERROR: !'.$rowdw["archivo"].'");self.close();</script>');
			}
		
		}
		else if ($tipo == "multi_repos")
		{
			$qdw = myquery("SELECT * FROM ".MULTIMEDIA." WHERE multID='".$fileID."'","[getfile=8]");
			$rowdw = myfetch($qdw);
			if ($rowdw["archivo"] && file_exists_url($rowdw["archivo"]))
			{
				header("Location: ".$rowdw["archivo"]);
				// actualizar descargas
				myquery("UPDATE ".MULTIMEDIA." SET descargas=descargas+1 WHERE multID='".$fileID."'","[getfile=9]");			
				exit;
			
			} else {
			
				die ('<script>alert("ERROR: !'.$rowdw["archivo"].'");self.close();</script>');
			}
		
		}
		else if ($tipo == "arc_repos")
		{
			$qdw = myquery("SELECT * FROM ".ARCHIVOS." WHERE fileID='".$fileID."'","[getfile=10]");
			$rowdw = myfetch($qdw);
			if ($rowdw["archivo"] && file_exists_url($rowdw["archivo"]))
			{
		
				header("Location: ".$rowdw["archivo"]);
				// actualizar descargas
				myquery("UPDATE ".ARCHIVOS." SET descargas=descargas+1 WHERE fileID='".$fileID."'","[getfile=11]");
				exit;

			} else {
			
				die ('<script>alert("ERROR: !'.$rowdw["archivo"].'");self.close();</script>');
			}
		
		}


	} else {
	
		exit;
	
	}


?>
